import React from 'react';
import './App.css';
import { Button, createMuiTheme, ThemeProvider } from '@material-ui/core';
import { ApplicationDialogsProvider, input, matAlert, matConfirm } from './ui/widgets/DialogsProvider';
import { lightBlue, pink } from '@material-ui/core/colors';

function App() {
  const darkTheme = createMuiTheme({
    palette: {
      type: 'dark',
      primary: lightBlue,
      secondary: pink,
    },
  });

  return (
    <ThemeProvider theme={darkTheme}>
      <div className="App">
        {/* Holder of dialogs */}
        <ApplicationDialogsProvider></ApplicationDialogsProvider>

        {/* TODO : holder of login state */}

        <Button onClick={()=>matAlert("heloo!!")}>alert</Button>
        <Button onClick={()=>matConfirm("heloo!!").then((r) => matAlert("response: " + r))}>confirm</Button>
        <Button onClick={()=>input({
          label: "Your best joke",
          message: "Please share your best joke:", 
          initialValue: "initial",
          minLength: 2,
          maxLength: 10,
          }).then((r) => matAlert("you wrote: " + r))}>input</Button>
      </div>
    </ThemeProvider>
  );
}

export default App;
